Bug 861679 - [abrt] libreport-gtk-2.0.13-2.fc17: nanosleep: Process /usr/bin/report-gtk was killed by signal 11 (SIGSEGV)
[abrt] libreport-gtk-2.0.13-2.fc17: nanosleep: Process /usr/bin/report-gtk wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:61dc001b1dc5edc8e48cb1f8241...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 19:29 EDT by Tobias Mueller
Modified: 2013-08-01 16:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:04:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.54 KB, text/plain)
2012-09-29 19:29 EDT, Tobias Mueller
no flags Details
File: environ (1.92 KB, text/plain)
2012-09-29 19:29 EDT, Tobias Mueller
no flags Details
File: backtrace (24.43 KB, text/plain)
2012-09-29 19:30 EDT, Tobias Mueller
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-29 19:30 EDT, Tobias Mueller
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-29 19:30 EDT, Tobias Mueller
no flags Details
File: maps (45.00 KB, text/plain)
2012-09-29 19:30 EDT, Tobias Mueller
no flags Details
File: dso_list (7.24 KB, text/plain)
2012-09-29 19:30 EDT, Tobias Mueller
no flags Details
File: var_log_messages (150 bytes, text/plain)
2012-09-29 19:30 EDT, Tobias Mueller
no flags Details
File: open_fds (570 bytes, text/plain)
2012-09-29 19:30 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-09-29 19:29:53 EDT
Description of problem:
I tried to attach a file, then report-gtk got "stuck", i.e. the UI didn't update. I resized the window and it was never repainted. I then killed it manualy.

Version-Release number of selected component:
libreport-gtk-2.0.13-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        report-gtk -e report_uReport -e analyze_RetraceServer -e report_Bugzilla -e post_report -- /var/spool/abrt/ccpp-2012-09-30-01:09:44-5189
crash_function: nanosleep
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 nanosleep at ../sysdeps/unix/syscall-template.S
: #1 usleep at ../sysdeps/unix/sysv/linux/usleep.c
: #2 dd_lock at dump_dir.c
: #3 dd_opendir at dump_dir.c
: #4 problem_data_reload_from_dump_dir at main.c
: #5 on_btn_add_file at wizard.c
: #6 _g_closure_invoke_va at gclosure.c
: #9 gtk_real_button_released at gtkbutton.c
: #14 gtk_button_button_release at gtkbutton.c
: #16 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c
Comment 1 Tobias Mueller 2012-09-29 19:29:56 EDT
Created attachment 619231 [details]
File: core_backtrace
Comment 2 Tobias Mueller 2012-09-29 19:29:58 EDT
Created attachment 619232 [details]
File: environ
Comment 3 Tobias Mueller 2012-09-29 19:30:01 EDT
Created attachment 619233 [details]
File: backtrace
Comment 4 Tobias Mueller 2012-09-29 19:30:03 EDT
Created attachment 619234 [details]
File: limits
Comment 5 Tobias Mueller 2012-09-29 19:30:05 EDT
Created attachment 619235 [details]
File: cgroup
Comment 6 Tobias Mueller 2012-09-29 19:30:07 EDT
Created attachment 619236 [details]
File: maps
Comment 7 Tobias Mueller 2012-09-29 19:30:09 EDT
Created attachment 619237 [details]
File: dso_list
Comment 8 Tobias Mueller 2012-09-29 19:30:11 EDT
Created attachment 619238 [details]
File: var_log_messages
Comment 9 Tobias Mueller 2012-09-29 19:30:13 EDT
Created attachment 619239 [details]
File: open_fds
Comment 10 Jakub Filak 2012-10-01 03:48:38 EDT
commit 3d4ad891e61e3d0273e8d461ce498e2a5ead403c
Author: Jakub Filak <jfilak@redhat.com>
Date:   Mon Oct 1 09:44:56 2012 +0200

    rhbz#861679: report-gtk: immediately release dump directory lock
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 11 Fedora Update System 2012-10-05 06:47:51 EDT
abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
Comment 12 Fedora Update System 2012-10-05 23:48:40 EDT
Package abrt-2.0.14-1.fc17, libreport-2.0.15-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.14-1.fc17 libreport-2.0.15-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-10-07 22:26:33 EDT
Package libreport-2.0.15-1.fc17, abrt-2.0.14-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.15-1.fc17 abrt-2.0.14-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-2.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-02-05 08:39:24 EST
abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17
Comment 15 Fedora Update System 2013-03-20 04:43:43 EDT
abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17
Comment 16 Fedora End Of Life 2013-07-04 03:41:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-08-01 16:04:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.